Package com.independentsoft.office.diagrams

# Class Connection

java.lang.Object
com.independentsoft.office.diagrams.Connection

public class Connection extends Object
The Class Connection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Connection()`
  Instantiates a new connection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Connection`
  `clone()`
  `ConnectionType`
  `getConnectionType()`
  Gets the connection type.
  `String`
  `getDestinationID()`
  Gets the destination id.
  `long`
  `getDestinationPosition()`
  Gets the destination position.
  `String`
  `getModelID()`
  Gets the model id.
  `String`
  `getParentTransitionID()`
  Gets the parent transition id.
  `String`
  `getPresentationID()`
  Gets the presentation id.
  `String`
  `getSiblingTransitionID()`
  Gets the sibling transition id.
  `String`
  `getSourceID()`
  Gets the source id.
  `long`
  `getSourcePosition()`
  Gets the source position.
  `void`
  `setConnectionType​(ConnectionType connectionType)`
  Sets the connection type.
  `void`
  `setDestinationID​(String destinationID)`
  Sets the destination id.
  `void`
  `setDestinationPosition​(long destinationPosition)`
  Sets the destination position.
  `void`
  `setModelID​(String modelID)`
  Sets the model id.
  `void`
  `setParentTransitionID​(String parentTransitionID)`
  Sets the parent transition id.
  `void`
  `setPresentationID​(String presentationID)`
  Sets the presentation id.
  `void`
  `setSiblingTransitionID​(String siblingTransitionID)`
  Sets the sibling transition id.
  `void`
  `setSourceID​(String sourceID)`
  Sets the source id.
  `void`
  `setSourcePosition​(long sourcePosition)`
  Sets the source position.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Connection

    public Connection()
    Instantiates a new connection.

- ## Method Details

  - ### clone

    public Connection clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDestinationID

    public String getDestinationID()
    Gets the destination id.
    Returns:
      the destination id

  - ### setDestinationID

    public void setDestinationID​(String destinationID)
    Sets the destination id.
    Parameters:
      `destinationID` - the new destination id

  - ### getDestinationPosition

    public long getDestinationPosition()
    Gets the destination position.
    Returns:
      the destination position

  - ### setDestinationPosition

    public void setDestinationPosition​(long destinationPosition)
    Sets the destination position.
    Parameters:
      `destinationPosition` - the new destination position

  - ### getModelID

    public String getModelID()
    Gets the model id.
    Returns:
      the model id

  - ### setModelID

    public void setModelID​(String modelID)
    Sets the model id.
    Parameters:
      `modelID` - the new model id

  - ### getParentTransitionID

    public String getParentTransitionID()
    Gets the parent transition id.
    Returns:
      the parent transition id

  - ### setParentTransitionID

    public void setParentTransitionID​(String parentTransitionID)
    Sets the parent transition id.
    Parameters:
      `parentTransitionID` - the new parent transition id

  - ### getPresentationID

    public String getPresentationID()
    Gets the presentation id.
    Returns:
      the presentation id

  - ### setPresentationID

    public void setPresentationID​(String presentationID)
    Sets the presentation id.
    Parameters:
      `presentationID` - the new presentation id

  - ### getSiblingTransitionID

    public String getSiblingTransitionID()
    Gets the sibling transition id.
    Returns:
      the sibling transition id

  - ### setSiblingTransitionID

    public void setSiblingTransitionID​(String siblingTransitionID)
    Sets the sibling transition id.
    Parameters:
      `siblingTransitionID` - the new sibling transition id

  - ### getSourceID

    public String getSourceID()
    Gets the source id.
    Returns:
      the source id

  - ### setSourceID

    public void setSourceID​(String sourceID)
    Sets the source id.
    Parameters:
      `sourceID` - the new source id

  - ### getSourcePosition

    public long getSourcePosition()
    Gets the source position.
    Returns:
      the source position

  - ### setSourcePosition

    public void setSourcePosition​(long sourcePosition)
    Sets the source position.
    Parameters:
      `sourcePosition` - the new source position

  - ### getConnectionType

    public ConnectionType getConnectionType()
    Gets the connection type.
    Returns:
      the connection type

  - ### setConnectionType

    public void setConnectionType​(ConnectionType connectionType)
    Sets the connection type.
    Parameters:
      `connectionType` - the new connection type